Commit 5f805d59 authored by Andy Postnikov's avatar Andy Postnikov
Browse files

testing/php81: security upgrade to 8.1.0_rc5 - CVE-2021-21703

parent ca594337
......@@ -25,9 +25,9 @@
pkgname=php81
_pkgreal=php
pkgver=8.1.0_rc4
pkgver=8.1.0_rc5
_pkgver=${pkgver//_rc/RC}
pkgrel=1
pkgrel=0
_apiver=20210902
_suffix=${pkgname#php}
# Is this package the default (latest) PHP version?
......@@ -91,7 +91,7 @@ subpackages="$pkgname-dbg $pkgname-dev $pkgname-doc
$pkgname-embed $pkgname-cgi $pkgname-fpm
$pkgname-pear::noarch
"
source="https://downloads.php.net/~ramsey/$_pkgreal-$_pkgver.tar.xz
source="https://downloads.php.net/~patrickallaert/$_pkgreal-$_pkgver.tar.xz
$pkgname-fpm.initd
$pkgname-fpm.logrotate
$pkgname-module.conf
......@@ -185,6 +185,8 @@ case "$CARCH" in
esac
# secfixes:
# 8.1.0_rc5-r0:
# - CVE-2021-21703
# 8.1.0_rc3-r0:
# - CVE-2021-21706
......@@ -623,7 +625,7 @@ _mv() {
}
sha512sums="
6dfe9338c683cb6dbe73e24d4591400bc108b5e72addb84ba2c2bf7622c28172cfd5569d9a1ddf9fecc6c7c59d6e32648fc1e58e5a82992e943c451637848044 php-8.1.0RC4.tar.xz
ee8c29b0bbe688346837e7f3227f07b354f20b8e783fbeb79d692528089b8e23ad1980659c6ea470d98b07da1735b81ebb52eb378b3161b4cde5e22678bbb0b7 php-8.1.0RC5.tar.xz
0280c390bf4b67ebb0ed9006489ea0c6426d27844824b81e946e583c83743d0f846d6a3858c96c3cce9305966d4879be7533f7626add006c8bb13021848c7a0f php81-fpm.initd
98bb27864f1ece80fef18cb286885c8c18de8f9d1076507b6a24df07e33aa400623b90401375e7ebe55d9ff802069d281642ec7d3a58ef8727121aabe7643241 php81-fpm.logrotate
2e3b22b4adbc81c6120757095c89e56642f3e8bf7724af2926f2667759ef082cdcff416334aad87f704a61fcb5b2c11830f17759ac771a3dd4e47d9bc5c7cf72 php81-module.conf
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment